/* ===================================================================================================
    Modal
=================================================================================================== */
.s2-modal {
    position: fixed; /* 화면 전체를 덮도록 설정 */
    z-index: 7700;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto; /* 필요에 따라 스크롤바 표시 */
    background-color: rgba(0, 0, 0, 0.5);
    display: flex; /* Flexbox 사용 */
    justify-content: center; /* 수평 가운데 정렬 */
    align-items: center; /* 수직 가운데 정렬 */
}

.s2-modal > .modal-content {
    display: flex; /* Flexbox 사용 */
    flex-direction: column; /* 수직 방향으로 요소 배치 */
    max-height: 90vh; /* 브라우저 창 높이의 90%로 최대 높이 설정 */
    background-color: #fefefe;
    border: 1px solid #888;
}

.s2-modal > .modal-content > .modal-header {
    position: relative;
    padding: 10px;
    border-bottom: 1px solid #ddd;
    display: flex; /* Flexbox 사용 */
    align-items: center; /* 수직 가운데 정렬 */
}

.s2-modal > .modal-content > .modal-header > .modal-title {
    width: 100%;
    margin: 10px 0 10px 10px;
    font-size: 25px;
    font-family: 'Pretendard', sans-serif;
    letter-spacing: -1px;
}

.s2-modal > .modal-content > .modal-header > .close-button {
    position: absolute;
    right: 10px;
    font-size: 20px;
    font-family: 'Pretendard', sans-serif;
    color: #444444;
    cursor: pointer;
    margin-right: 3px;
    margin-bottom: 3px;
    border: 0;
    background-color: transparent;
}

.s2-modal > .modal-content > .modal-body {
    padding: 20px; /* body padding 추가 */
    overflow-y: auto; /* body 부분만 스크롤 가능하도록 설정 */
    flex-grow: 1; /* body가 남은 공간을 모두 차지하도록 설정 */
}